<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="block_checkbox_cross">
	<div class="item_geo_block flex_flat">
		<?php $flat_pm_cross_offset = get_option( 'flat_pm_cross_offset' ); ?>
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_cross_offset" id="flat_pm_check_setting_cross_offset"<?php if( $flat_pm_cross_offset == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_cross_offset" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_cross_offset">Выводить крестик и таймер за пределами блока</label>
			<p class="description">По умолчанию крестик и таймер выводится внутри выезжающего блока</p>
			<p class="notice"><b>Flat PM</b>: Будет выводить крестик за пределами блока</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_background" type="text" id="flat_pm_cross_background" value="<?php echo get_option( 'flat_pm_cross_background' ); ?>">
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none">Цвет фона крестика</label>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_color" type="text" id="flat_pm_cross_color" value="<?php echo get_option( 'flat_pm_cross_color' ); ?>">
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none">Цвет перекрестия крестика</label>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_text_color" type="text" id="flat_pm_cross_text_color" value="<?php echo get_option( 'flat_pm_cross_text_color' ); ?>">
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none">Цвет текста таймера крестика</label>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_width" type="number" step="1" min="10" id="flat_pm_cross_width" value="<?php echo get_option( 'flat_pm_cross_width' ); ?>" class="number_me">
		</div>
		<div class="item_flex_settings">
			<label for="flat_pm_cross_width" class="settings_title rec select_none">Ширина крестика в пикселях</label>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_height" type="number" step="1" min="10" id="flat_pm_cross_height" value="<?php echo get_option( 'flat_pm_cross_height' ); ?>" class="number_me">
		</div>
		<div class="item_flex_settings">
			<label for="flat_pm_cross_height" class="settings_title rec select_none">Высота крестика в пикселях</label>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings" style="text-align:right">
			<input name="flat_pm_cross_weight" type="number" step="1" min="1" id="flat_pm_cross_weight" value="<?php echo get_option( 'flat_pm_cross_weight' ); ?>" class="number_me">
		</div>
		<div class="item_flex_settings">
			<label for="flat_pm_cross_weight" class="settings_title rec select_none">Тощина крестика в пикселях</label>
		</div>
	</div>
</div>