<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="block_checkbox_google">
	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_deferred" id="flat_pm_check_setting_deferred"<?php if( isset( $settings['deferred'] ) && $settings['deferred'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_deferred" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_deferred">Отложить вывод рекламы до взаимодействия с сайтом</label>
			<p class="description">Эта опция полезна для лучших показателей по <code>Google PageSpeed Insights</code>. Блоки выведутся лишь после пользовательского взаимодействия с сайтом: движение мышкой, touch-эввент для смартфонов.</p>
			<p class="description">Укажите свои события через пробел <input type="text" name="flat_pm_check_setting_deferred_events" id="flat_pm_check_setting_deferred_events" value="<?php echo ( isset( $settings['deferred_events'] ) ) ? $settings['deferred_events'] : 'touchstart mousemove'; ?>" style="width:220px;display:inline;"> , по умолчанию это <code>touchstart mousemove</code></p>
			<p class="notice"><b>Flat PM</b>: Будет использовать отложенный вывод рекламы до пользовательского взаимодействия с сайтом</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_inseconds" id="flat_pm_check_setting_inseconds"<?php if( isset( $settings['inseconds'] ) && $settings['inseconds'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_inseconds" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_inseconds">Отложить вывод рекламы в миллисекундах</label>
			<p class="description">Эта опция полезна для слачаев, если пользователь открыл сайт в новой вкладке, а просмотрел её позже. Блоки выведутся спустя указанное время или после пользовательского взаимодействия с сайтом (для этого должна быть включена опция выше).</p>
			<p class="description">Укажите время в миллисекундах <input type="text" name="flat_pm_check_setting_inseconds_mseconds" id="flat_pm_check_setting_inseconds_mseconds" value="<?php echo ( isset( $settings['inseconds_mseconds'] ) ) ? $settings['inseconds_mseconds'] : '800'; ?>" style="width:150px;display:inline;"> , время по умолчанию, и рекомендуемое мной - <code>800</code></p>
			<p class="notice"><b>Flat PM</b>: Будет использовать отложенный вывод рекламы с задержкой в миллисекундах</p>
		</div>
	</div>

	<div class="item_geo_block flex_flat">
		<div class="item_flex_settings">
			<input type="checkbox" name="flat_pm_check_setting_lighthouse" id="flat_pm_check_setting_lighthouse"<?php if( isset( $settings['lighthouse'] ) && $settings['lighthouse'] == 'true' ) echo ' checked="checked"'; ?>>
			<label for="flat_pm_check_setting_lighthouse" class="select_none"></label>
		</div>
		<div class="item_flex_settings">
			<label class="settings_title rec select_none" for="flat_pm_check_setting_lighthouse">Не выводить рекламу вообще для Google PageSpeed Insights</label>
			<p class="description">Эта опция отключает вывод рекламы для роботов проверки Google PageSpeed Insights. Блоки выведутся лишь для реальных посетителей сайта.</p>
			<p class="notice"><b>Flat PM</b>: Будет скрывать блоки для роботов Google с UserAgent'ом "Google-Lighthouse"</p>
		</div>
	</div>
</div>