<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<ins id="adsense" class="adsbygoogle" data-tag="flat_pm" style="position:absolute;left:-9999px;top:-9999px">Adblock<br>detector</ins>
<?php
$flat_pm_cross_height = get_option( 'flat_pm_cross_height' );
$flat_pm_cross_width  = get_option( 'flat_pm_cross_width' );
$flat_pm_cross_weight = get_option( 'flat_pm_cross_weight' );
$flat_pm_cross_offset = ( get_option( 'flat_pm_cross_offset' ) == 'true' ) ? $flat_pm_cross_height : '0';

$flat_pm_cross_color      = get_option( 'flat_pm_cross_color' );
$flat_pm_cross_text_color = get_option( 'flat_pm_cross_text_color' );
$flat_pm_cross_background = get_option( 'flat_pm_cross_background' );
?>
<style>
.fpm_5_modal{position:fixed;top:50%;left:50%;height:auto;z-index:-2000;visibility:hidden;backface-visibility:hidden;transform:translateX(-50%) translateY(-50%)}
.fpm_5_modal-show{z-index:2000;visibility:visible}
.fpm_5_modal-overlay{position:fixed;width:100%;height:100%;visibility:hidden;top:0;left:0;z-index:-1000;opacity:0;background:rgba(0,0,0,.55);transition:opacity .3s ease}
.fpm_5_modal-show ~ .fpm_5_modal-overlay{z-index:1000;opacity:1;visibility:visible}
.fpm_5_modal-content{background:#fff;position:relative;transform:translateY(30%);opacity:0;transition:all .3s ease;min-width:200px;min-height:100px}
.fpm_5_modal-show .fpm_5_modal-content{transform:translateY(0);opacity:1}
.fpm_5_modal .fpm_5_timer,
.fpm_5_modal .fpm_5_cross{top:0!important}
.fpm_5_cross{transition:box-shadow .2s ease;position:absolute;top:-<?php echo $flat_pm_cross_offset; ?>px;right:0;width:<?php echo $flat_pm_cross_width; ?>px;height:<?php echo $flat_pm_cross_height; ?>px;background:<?php echo $flat_pm_cross_background ; ?>;display:block;cursor:pointer;z-index:99;border:none;padding:0;min-width:0;min-height:0}
.fpm_5_cross:hover{box-shadow:0 0 0 50px rgba(0,0,0,.2) inset}
.fpm_5_cross:after,
.fpm_5_cross:before{transition:transform .3s ease;content:'';display:block;position:absolute;top:0;left:0;right:0;bottom:0;width:calc(<?php echo min( $flat_pm_cross_height, $flat_pm_cross_width ); ?>px / 2);height:<?php echo $flat_pm_cross_weight; ?>px;background:<?php echo $flat_pm_cross_color; ?>;transform-origin:center;transform:rotate(45deg);margin:auto}
.fpm_5_cross:before{transform:rotate(-45deg)}
.fpm_5_cross:hover:after{transform:rotate(225deg)}
.fpm_5_cross:hover:before{transform:rotate(135deg)}
.fpm_5_timer{position:absolute;top:-<?php echo $flat_pm_cross_offset; ?>px;right:0;padding:0 15px;color:<?php echo $flat_pm_cross_text_color; ?>;background:<?php echo $flat_pm_cross_background ; ?>;line-height:<?php echo $flat_pm_cross_height; ?>px;height:<?php echo $flat_pm_cross_height; ?>px;text-align:center;font-size:14px;z-index:99}
.fpm_5_timer span{font-size:16px;font-weight:600}
.fpm_5_out{transition:transform .3s ease,opacity 0s ease;transition-delay:0s,.3s;position:fixed;min-width:250px;min-height:150px;z-index:9999;opacity:0;-webkit-backface-visibility:hidden}
.fpm_5_out *{max-width:none!important}
.fpm_5_out.top .fpm_5_cross{top:auto;bottom:150px}
.fpm_5_out.show.top .fpm_5_cross{bottom:-<?php echo $flat_pm_cross_offset; ?>px}
.fpm_5_out.bottom .fpm_5_cross{top:150px}
.fpm_5_out.show.bottom .fpm_5_cross{top:-<?php echo $flat_pm_cross_offset; ?>px}
.fpm_5_out.right .fpm_5_cross{right:auto;left:0}
.fpm_5_out.top .fpm_5_timer{top:auto;bottom:150px}
.fpm_5_out.show.top .fpm_5_timer{bottom:-<?php echo $flat_pm_cross_offset; ?>px}
.fpm_5_out.bottom .fpm_5_timer{top:150px}
.fpm_5_out.show.bottom .fpm_5_timer{top:-<?php echo $flat_pm_cross_offset; ?>px}
.fpm_5_out.right .fpm_5_timer{right:auto;left:0}
.fpm_5_out.top{bottom:100%;left:50%;transform:translateY(0) translateX(-50%);padding-bottom:150px}
.fpm_5_out.bottom{top:100%;left:50%;transform:translateY(0) translateX(-50%);padding-top:150px}
.fpm_5_out.left{bottom:0;right:100%;transform:translateX(0);left:auto}
.fpm_5_out.right{bottom:0;left:100%;transform:translateX(0);right:auto}
.fpm_5_out.show{transition-delay:0s,0s;opacity:1;min-width:0;min-height:0;background:#fff}
.fpm_5_out.closed{min-width:0;min-height:0}
.fpm_5_out.show.top{transform:translateY(100%) translateX(-50%);padding-bottom:0px}
.fpm_5_out.show.bottom{transform:translateY(-100%) translateX(-50%);padding-top:0px}
.fpm_5_out.show.left{transform:translateX(100%)}
.fpm_5_out.show.right{transform:translateX(-100%)}
.flatpm_fixed{position:fixed;z-index:50}
.flatpm_stop{position:relative;z-index:50}
.fpm_5_video{position:relative;overflow:hidden;padding-bottom:56.25%;height:0}
.fpm_5_video iframe{display:block;width:100%;height:100%;position:absolute}
.fpm_5_video_flex{display:flex;align-items:center;justify-content:center;position:absolute;top:0;left:0;right:0;bottom:0;background:rgba(0,0,0,.65);opacity:0;transition:opacity .35s ease}
.fpm_5_video_flex.show{opacity:1}
.fpm_5_video_item{position:relative;max-height:calc(100% - 68px);max-width:calc(100% - 68px);z-index:-1}
.fpm_5_video_flex.show .fpm_5_video_item{z-index:1}
.fpm_5_video_flex .fpm_5_timer,
.fpm_5_video_flex .fpm_5_cross{top:10px!important;right:10px!important}
.fpm_5_video_item_hover{position:absolute;top:0;left:0;right:0;bottom:0;width:100%;height:100%;cursor:pointer;z-index:2}
</style>
<?php
$settings_video = get_option( 'flat_plugin_video_me' );
if( isset($settings_video['enable'] ) && $settings_video['enable'] == 'true' ){
	$flat_pm_video = array(
		'code'     => stripslashes( htmlspecialchars_decode( $settings_video['code'], ENT_QUOTES ) ),
		'code_alt' => stripslashes( htmlspecialchars_decode( $settings_video['code_alt'], ENT_QUOTES ) ),
		'selector' => stripslashes( htmlspecialchars_decode( $settings_video['selector'], ENT_QUOTES ) ),
		'timer'    => $settings_video['timer'],
		'cross'    => $settings_video['cross'],
		'once'     => $settings_video['once'],
	);
?>
<script>var flat_pm_video = <?php echo json_encode( $flat_pm_video, JSON_UNESCAPED_UNICODE ); ?>;</script>
<?php } ?>
<script><?php
include_once FLATPM_DIR . '/assets/front/part_1.js';
include_once FLATPM_DIR . '/assets/front/part_2.js';
include_once FLATPM_DIR . '/assets/front/setHTML.js';
?></script>