<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="flat_pm_wrap">
	<h1>Добавить новый блок рекламы <?php if(!flat_do_some()){ ?> - <a href="http://wp-pro.online/" target="_blank">Купить <span>PRO</span> версию</a><?php } ?></h1>
	<div class="row_cat" style="top:0">
		<a href="<?php echo get_site_url(); ?>/wp-admin/admin.php?page=blocks_form" class="cat_flat_pm">
			<span class="name">......</span>
		</a>
		<?php
		$args_flat_pm = array(
			'taxonomy' => 'flat_pm_block_folders',
			'hide_empty' => false,
			'orderby'  => 'none'
		);
		$terms_flat_pm = get_terms( $args_flat_pm );
		foreach ($terms_flat_pm as $term) {
			$flat_pm_view_all = get_term_meta($term->term_id, 'flat_pm_view', true);
		?>
		<a href="<?php echo get_site_url(); ?>/wp-admin/admin.php?page=blocks_form&block_cat_ID=<?php echo $term->term_id; ?>" class="cat_flat_pm<?php if(isset($flat_pm_view_all['view_enabled']) && $flat_pm_view_all['view_enabled'] == 'true') echo ' onfilter'; ?>" data-id="<?php echo $term->term_id; ?>">
			<?php if(flat_do_some()){ ?>
			<span class="edit folder_remove" title="Настроить" data-href="<?php echo get_site_url(); ?>/wp-admin/admin.php?page=blocks_form&edit_folder=1&block_cat_ID=<?php echo $term->term_id; ?>" class="cat_flat_pm"></span>
			<?php } ?>
			<span class="name" title="<?php echo $term->name; ?>"><?php echo $term->name; ?></span>
		</a>
		<?php
		}
		unset($term);
		?>
	</div>
	<form onsubmit="return false;" action="options.php" class="add-edit">
		<div class="block_form_wrapper">
			<input type="text" name="block_name" id="block_name" placeholder="Название блока">
		</div>
		<div class="block_form_wrapper item_counter">
			<input type="radio" name="block_checkbox" id="block_checkbox_html" checked="checked">
			<label class="select_none" for="block_checkbox_html"><span style="position:relative;z-index:3">Подблоки с кодом</span></label>

			<input type="radio" name="block_checkbox" id="block_checkbox_view">
			<label class="select_none" for="block_checkbox_view"><span style="position:relative;z-index:3">Параметры вывода</span></label>

			<input type="radio" name="block_checkbox" id="block_checkbox_targeting_content"<?php if(!flat_do_some()){ ?> disabled="disabled"<?php } ?>>
			<label class="select_none" for="block_checkbox_targeting_content"><span title="<?php if(!flat_do_some()){ ?>Доступно в PRO версии <?php } ?>Записи / страницы / главная / рубрики / тэги / архивы" style="position:relative;z-index:3">Таргетинг по контенту</span></label>

			<input type="radio" name="block_checkbox" id="block_checkbox_targeting_deep"<?php if(!flat_do_some()){ ?> disabled="disabled"<?php } ?>>
			<label class="select_none" for="block_checkbox_targeting_deep"><span title="<?php if(!flat_do_some()){ ?>Доступно в PRO версии <?php } ?>ГЕО / REFERER / ОС / Браузер / Cookies / IP / Время / Дата / Роли" style="position:relative;z-index:3">По пользователю</span></label>

			<?php include_once 'add_inc/html.php'; ?>
			<?php include_once 'add_inc/view.php'; ?>
			<?php include_once 'add_inc/targeting_content.php'; ?>
			<?php include_once 'add_inc/targeting_deep.php'; ?>

			<div class="block_save_form">
				<a class="save_create_block"><span style="position:relative;z-index:3">Создать рекламный блок</span></a>
			</div>
		</div>
	</form>
	<?php require FLATPM_NEWS; ?>
</div>