<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div class="flat_pm_wrap">
	<h1>Вставка рекламных прероллов перед просмотром видео<?php if(!flat_do_some()){ ?> - <a href="http://wp-pro.online/" target="_blank">Купить <span>PRO</span> версию</a><?php } ?></h1>
	<form method="post" action="options.php" onsubmit="return false;">
		<?php $settings_video = get_option( 'flat_plugin_video_me' ); ?>
		<div class="block_form_wrapper flat_settings view_1_level_sub_2">

			<div class="item_geo_block flex_flat">
				<div class="item_flex_settings">
					<input type="checkbox" name="flat_pm_check_video_enable" id="flat_pm_check_video_enable"<?php if( isset($settings_video['enable'] ) && $settings_video['enable'] == 'true' ) echo ' checked="checked"'; ?>>
					<label for="flat_pm_check_video_enable" class="select_none"></label>
				</div>
				<div class="item_flex_settings">
					<label class="settings_title rec select_none" for="flat_pm_check_video_enable">Включить прероллы к видео на сайте</label>
					<p class="description">Прероллы - это реклама, которая показывается перед началом просмотра роликов на вашем сайте.</p>
				</div>
			</div>

			<div class="item_geo_block flex_flat" style="border:0;padding:0">
				<div class="item_flex_settings" style="padding:0;width:calc(50% - 10px);margin-right:20px">
					<h2 style="margin:0 0 10px">Основной рекламный код</h2>

					<textarea name="flat_pm_check_video_code" id="flat_pm_check_video_code" style="min-height:265px"><?php if( isset( $settings_video['code'] ) ) echo stripslashes( $settings_video['code'] ); ?></textarea>
				</div>

				<div class="item_flex_settings" style="padding:0;width:calc(50% - 10px)">
					<h2 style="margin:0 0 10px">Рекламный код для пользователей <span style="color:red">ADblock</span></h2>

					<textarea name="flat_pm_check_video_code_alt" id="flat_pm_check_video_code_alt" style="min-height:265px"><?php if( isset( $settings_video['code_alt'] ) ) echo stripslashes( $settings_video['code_alt'] ); ?></textarea>
				</div>
			</div>

			<div class="item_geo_block flex_flat">
				<div class="item_flex_settings" style="text-align:right">
					<input name="flat_pm_check_video_selector" type="text" id="flat_pm_check_video_selector" value="<?php echo ( isset( $settings_video['selector'] ) ) ? htmlspecialchars( stripslashes( htmlspecialchars_decode( $settings_video['selector'] ) ) ) : 'iframe[src*=&quot;youtu&quot;], iframe[data-lazy-src*=&quot;youtu&quot;], .rll-youtube-player'; ?>" class="number_me">
				</div>
				<div class="item_flex_settings">
					<label class="settings_title rec select_none" for="flat_pm_check_video_selector">Селектор iframe'ов или контейнеров с видео</label>
					<p class="description">Укажите селекторы контейнеров с видео, по умолчанию это <code>iframe[src*="youtu"], iframe[data-lazy-src*="youtu"], .rll-youtube-player</code></p>
				</div>
			</div>

			<div class="item_geo_block flex_flat">
				<div class="item_flex_settings" style="text-align:right">
					<input name="flat_pm_check_video_timer" type="number" step="1" min="0" id="flat_pm_check_video_timer" value="<?php echo ( isset( $settings_video['timer'] ) ) ? $settings_video['timer'] : '5'; ?>" class="number_me">
				</div>
				<div class="item_flex_settings">
					<label class="settings_title rec select_none" for="flat_pm_check_video_timer">Время таймера закрытия</label>
					<p class="description">Время <b>в секундах</b> после которого можно будет закрыть рекламу и продолжить смотреть видео.</p>
				</div>
			</div>

			<div class="item_geo_block flex_flat">
				<div class="item_flex_settings">
					<input type="checkbox" name="flat_pm_check_video_cross" id="flat_pm_check_video_cross"<?php if( isset($settings_video['cross'] ) && $settings_video['cross'] == 'true' ) echo ' checked="checked"'; ?>>
					<label for="flat_pm_check_video_cross" class="select_none"></label>
				</div>
				<div class="item_flex_settings">
					<label class="settings_title rec select_none" for="flat_pm_check_video_cross">Выводить крестик закрытия</label>
					<p class="description">Включите эту опцию, чтобы пользователь должен был сам закрыть рекламу.</p>
					<p class="notice">По умолчанию реклама закроется автоматически и начнётся воспроизведение видео.</p>
				</div>
			</div>

			<div class="item_geo_block flex_flat">
				<div class="item_flex_settings">
					<input type="checkbox" name="flat_pm_check_video_once" id="flat_pm_check_video_once"<?php if( isset($settings_video['once'] ) && $settings_video['once'] == 'true' ) echo ' checked="checked"'; ?>>
					<label for="flat_pm_check_video_once" class="select_none"></label>
				</div>
				<div class="item_flex_settings">
					<label class="settings_title rec select_none" for="flat_pm_check_video_once">Выводить рекламу один раз</label>
					<p class="description">Включите эту опцию, чтобы пользователь видел рекламу перед просмотром только первого видео на сайте.</p>
					<p class="notice">По умолчанию пользователь видит рекламу перед просмотром каждого видеоролика.</p>
				</div>
			</div>

			<a class="flat_settings_video_btn" style="margin:40px 0 0"><span>Сохранить настройки</span></a>
		</div>
	</form>
	<?php require FLATPM_NEWS; ?>
</div>