<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


if( !function_exists( 'flat_pm_print_head_js' ) ){
	function flat_pm_print_head_js() {
		$settings  = get_option( 'flat_plugin_settings_me' );


		$ajaxUrl   = 'ajaxUrlFlatPM = "' . admin_url( 'admin-ajax.php' ) . '"';


		$duplicate = '';
		if( isset( $settings['adblock'] ) && $settings['adblock'] == 'true' ){
			$duplicate = ', duplicateFlatPM = true';
		}


		$untilscroll_selector = ', untilscrollFlatPM = ".flat_pm_end"';
		if( isset( $settings['untilscroll'] ) && $settings['untilscroll'] == 'true' && isset( $settings['untilscroll_selector'] ) ){
			$untilscroll_selector = ', untilscrollFlatPM = "' . $settings['untilscroll_selector'] .'"';
		}


		echo '<script>var ' . $ajaxUrl . $duplicate . $untilscroll_selector . '</script>';
	}
}


if( !function_exists( 'flat_pm_print_footer_js' ) ){
	function flat_pm_print_footer_js() {
		include_once 'scripts.php';
	}
}


// !--sub_functions


add_action( 'wp_head',   'flat_pm_print_head_js',   FLATPM_INT_MAX );
add_action( 'wp_footer', 'flat_pm_print_footer_js', FLATPM_INT_MAX );
?>